=== utils/Makefile ===
OBJS= stat.o  movement.o
APPS= autoptr_test #stat_test

#LDFLAGS+= $(GSL_LIB)
#CPPFLAGS+= $(GSL_INCLUDE) -DFSLINE
CPPFLAGS+= -DFSLINE

-include ../global.mk
-include ../build_tools/Makefile.generic-shared-object
