=== sensor/sensor_base/Makefile ===
-include ../../global.mk

OBJS= sensor.o sensorreading.o

-include ../../build_tools/Makefile.generic-shared-object
