=== debian/control ===
Source: ros-melodic-openslam-gmapping
Section: misc
Priority: extra
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://openslam.org/gmapping
Standards-Version: 3.9.2

Package: ros-melodic-openslam-gmapping
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: The catkinized verseion of openslam_gmapping package (https://github.com/OpenSLAM-org/openslam_gmapping/tree/79ef0b0e6d9a12d6390ae64c4c00d37d776abefb)
